- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::Tesselator::NewVertex Struct Reference

List of all members.

## Public Member Functions
| NewVertex ()
| NewVertex (const NewVertex &nv)
| NewVertex (osg::Vec3 *vx, float f1, osg::Vec3 *v1, float f2, osg::Vec3 *v2, float f3, osg::Vec3 *v3, float f4, osg::Vec3 *v4)
## Public Attributes
osg::Vec3 * | _vpos
float | _f1
osg::Vec3 * | _v1
float | _f2
osg::Vec3 * | _v2
float | _f3
osg::Vec3 * | _v3
float | _f4
osg::Vec3 * | _v4

## Constructor & Destructor Documentation

osgUtil::Tesselator::NewVertex::NewVertex | ( |  | ) | `[inline]`

osgUtil::Tesselator::NewVertex::NewVertex | ( | const NewVertex & | nv | ) | `[inline]`

osgUtil::Tesselator::NewVertex::NewVertex | ( | osg::Vec3 * | vx,
|  | float | f1,
|  | osg::Vec3 * | v1,
|  | float | f2,
|  | osg::Vec3 * | v2,
|  | float | f3,
|  | osg::Vec3 * | v3,
|  | float | f4,
|  | osg::Vec3 * | v4
| ) | `[inline]`

## Member Data Documentation

float osgUtil::Tesselator::NewVertex::_f1

float osgUtil::Tesselator::NewVertex::_f2

float osgUtil::Tesselator::NewVertex::_f3

float osgUtil::Tesselator::NewVertex::_f4

osg::Vec3* osgUtil::Tesselator::NewVertex::_v1

osg::Vec3* osgUtil::Tesselator::NewVertex::_v2

osg::Vec3* osgUtil::Tesselator::NewVertex::_v3

osg::Vec3* osgUtil::Tesselator::NewVertex::_v4

osg::Vec3* osgUtil::Tesselator::NewVertex::_vpos

The documentation for this struct was generated from the following file:

- Tesselator